//+------------------------------------------------------------------+
#property strict

extern string _1="Trading settings";
extern double Lots=0.05;
extern double ProfitPercent=0.001;
extern string _3="Slippage value";
extern int    Slippage=3;

double bid,ask,ask3,bid3,ask4,bid4,ask5,bid5,ask6,bid6;
double MyPoint;
//+------------------------------------------------------------------+
//    expert start function
//+------------------------------------------------------------------+
int start()
  {
   MyPoint=Point;
   if(Digits==3 || Digits==5) MyPoint=Point*10;
//--------------------------------------------------- 
   bid=MarketInfo("EURUSD",MODE_BID);
   ask=MarketInfo("EURUSD",MODE_ASK);
   bid3=MarketInfo("EURCHF",MODE_BID);
   ask3=MarketInfo("EURCHF",MODE_ASK);
   bid4=MarketInfo("USDJPY",MODE_BID);
   ask4=MarketInfo("USDJPY",MODE_ASK);
   bid5=MarketInfo("GBPJPY",MODE_BID);
   ask5=MarketInfo("GBPJPY",MODE_ASK);
   bid6=MarketInfo("AUDUSD",MODE_BID);
   ask6=MarketInfo("AUDUSD",MODE_ASK);
//--------------------------------------------
   if(TotalOrdersCount()==0)
     {
      int result=0;
      if(Close[1]>Open[1] && (Close[1]-Open[1])>=25*MyPoint)
        {
         //---1 
         result=OrderSend("EURUSD",OP_SELL,Lots,bid,Slippage,0,0,"",101,0,Red);
         result=OrderSend("USDJPY",OP_BUY,Lots,ask4,Slippage,0,0,"",101,0,Blue);
         //---2
         result=OrderSend("GBPJPY",OP_SELL,Lots,bid5,Slippage,0,0,"",100,0,Red);
         result=OrderSend("AUDUSD",OP_BUY,Lots,ask6,Slippage,0,0,"",100,0,Blue);
         //---3
         result=OrderSend("EURUSD",OP_SELL,Lots,bid,Slippage,0,0,"",102,0,Red);
         result=OrderSend("EURCHF",OP_BUY,Lots,ask3,Slippage,0,0,"",102,0,Blue);
        }
      if(Close[1]<Open[1] && (Open[1]-Close[1])>=25*MyPoint)
        {
         //---1 
         result=OrderSend("EURUSD",OP_BUY,Lots,ask,Slippage,0,0,"",101,0,Blue);
         result=OrderSend("USDJPY",OP_SELL,Lots,bid4,Slippage,0,0,"",101,0,Red);
         //---2
         result=OrderSend("GBPJPY",OP_BUY,Lots,ask5,Slippage,0,0,"",100,0,Blue);
         result=OrderSend("AUDUSD",OP_SELL,Lots,bid6,Slippage,0,0,"",100,0,Red);
         //---3
         result=OrderSend("EURUSD",OP_BUY,Lots,ask,Slippage,0,0,"",102,0,Blue);
         result=OrderSend("EURCHF",OP_SELL,Lots,bid3,Slippage,0,0,"",102,0,Red);
        }
     }
   return(0);
  }
//--------------------------------------------------------
int TotalOrdersCount()
  {
   double pair_1=0,pair_2=0;
   double pair_3=0,pair_4=0;
   double pair_5=0,pair_6=0;

   int result=0;
   for(int i=0;i<OrdersTotal();i++)
     {
      if(!OrderSelect(i,SELECT_BY_POS,MODE_TRADES))continue;
      if(OrderMagicNumber()==100) result++;
      if(OrderMagicNumber()==101) result++;
      if(OrderMagicNumber()==102) result++;

      if(OrderMagicNumber()==101)
        {
         if(OrderSymbol()=="EURUSD")pair_1=OrderProfit();
         if(OrderSymbol()=="USDJPY")pair_2=OrderProfit();
        }

      if(OrderMagicNumber()==100)
        {
         if(OrderSymbol()=="GBPJPY")pair_3=OrderProfit();
         if(OrderSymbol()=="AUDUSD")pair_4=OrderProfit();
        }

      if(OrderMagicNumber()==102)
        {
         if(OrderSymbol()=="EURUSD")pair_5=OrderProfit();
         if(OrderSymbol()=="EURCHF")pair_6=OrderProfit();
        }
     }

   if((pair_1>pair_2?pair_1-pair_2:pair_2-pair_1)>=AccountBalance()*ProfitPercent)CloseEUUJ();
   if((pair_3>pair_4?pair_3-pair_4:pair_4-pair_3)>=AccountBalance()*ProfitPercent)CloseGJAU();
   if((pair_5>pair_6?pair_5-pair_6:pair_6-pair_5)>=AccountBalance()*ProfitPercent)CloseEUEC();

   return (result);
  }
//-------------------------------------------------------------------------------------------+  
void CloseGJAU()
  {
   for(int is=OrdersTotal()-1;is>=0;is--)
     {
      if(!OrderSelect(is,SELECT_BY_POS))continue;
      bool resultb=false;
      if((OrderType()==OP_BUY || OrderType()==OP_SELL) && OrderMagicNumber()==100)
        {
         if(OrderSymbol()=="GBPJPY")
           {
            double close_price=OrderType()==OP_BUY?MarketInfo("GBPJPY",MODE_BID):MarketInfo("GBPJPY",MODE_ASK);
            resultb=OrderClose(OrderTicket(),OrderLots(),close_price,5,Magenta);
           }
         if(OrderSymbol()=="AUDUSD")
           {
            double close_price=OrderType()==OP_BUY?MarketInfo("AUDUSD",MODE_BID):MarketInfo("AUDUSD",MODE_ASK);
            resultb=OrderClose(OrderTicket(),OrderLots(),close_price,5,Magenta);
           }
         Print("Position(s) closed");
        }
     }
   return;
  }
//----------------------------------------------------------------------------------------------------+
void CloseEUUJ()
  {
   for(int is=OrdersTotal()-1;is>=0;is--)
     {
      if(!OrderSelect(is,SELECT_BY_POS))continue;
      bool resultb=false;
      if((OrderType()==OP_BUY || OrderType()==OP_SELL) && OrderMagicNumber()==101)
        {
         if(OrderSymbol()=="EURUSD")
           {
            double close_price=OrderType()==OP_BUY?MarketInfo("EURUSD",MODE_BID):MarketInfo("EURUSD",MODE_ASK);
            resultb=OrderClose(OrderTicket(),OrderLots(),close_price,5,Magenta);
           }
         if(OrderSymbol()=="USDJPY")
           {
            double close_price=OrderType()==OP_BUY?MarketInfo("USDJPY",MODE_BID):MarketInfo("USDJPY",MODE_ASK);
            resultb=OrderClose(OrderTicket(),OrderLots(),close_price,5,Magenta);
           }
         Print("Position(s) closed");
        }
     }
   return;
  }
//----------------------------------------------------------------------------------------------------+ 
void CloseEUEC()
  {
   for(int is=OrdersTotal()-1;is>=0;is--)
     {
      if(!OrderSelect(is,SELECT_BY_POS))continue;
      bool resultb=false;
      if((OrderType()==OP_BUY || OrderType()==OP_SELL) && OrderMagicNumber()==102)
        {
         if(OrderSymbol()=="EURUSD")
           {
            double close_price=OrderType()==OP_BUY?MarketInfo("EURUSD",MODE_BID):MarketInfo("EURUSD",MODE_ASK);
            resultb=OrderClose(OrderTicket(),OrderLots(),close_price,5,Magenta);
           }
         if(OrderSymbol()=="EURCHF")
           {
            double close_price=OrderType()==OP_BUY?MarketInfo("EURCHF",MODE_BID):MarketInfo("EURCHF",MODE_ASK);
            resultb=OrderClose(OrderTicket(),OrderLots(),close_price,5,Magenta);
           }
         Print("Position(s) closed");
        }
     }
   return;
  }
//------------------------------THE END---------------------------------------------------------------------+

//Lack after closing both first i also want them to open just after closing
